Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## simogl.geometry
Class MeshVA

    java.lang.Object
      simogl.geometry.AbstractMesh
          simogl.geometry.MeshVA

    public class MeshVA

extends AbstractMesh

This class represents a mesh. The mesh uses the vertex aray technology.

Author:
  Frank Bruns

Constructor Summary
`MeshVA()`

Method Summary
`void` | `createVertexArray()` This method creates the vertex array for the mesh.
`void` | `deleteMesh(javax.media.opengl.GL gl)` Deletes the mesh
`void` | `draw(javax.media.opengl.GL gl)` Call this method to draw the mesh
`void` | `specializedDraw(javax.media.opengl.GL gl)` Helper method to extract the specialised things just fitting to drawing of vertex arrays.

Methods inherited from class simogl.geometry.AbstractMesh
`addFace, disableRenderOptions, drawShadow, enableRenderOptions, getBoundingBox, getFaces, getMaterial, getPosition, getPositionX, getPositionY, getPositionZ, getRoationX, getRoationY, getRoationZ, getRotation, getTexture, isTransparent, performTransformations, rotate, rotateAxxisX, rotateAxxisY, rotateAxxisZ, scale, setDrawShadow, setEnabledFaceCulling, setMaterial, setPosition, setPosition, setPositionX, setPositionY, setPositionZ, setTexture, setTransparent, showBoundingBox, showWireFrame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeshVA

    public MeshVA()

Method Detail

### createVertexArray

    public void createVertexArray()

  This method creates the vertex array for the mesh. It allocates the required space for the byte buffer. It is essentiell to call this method after every face has been added to the mesh object.

### deleteMesh

    public void deleteMesh(javax.media.opengl.GL gl)

  Description copied from class: `AbstractMesh`
  Deletes the mesh

  Specified by:
    `deleteMesh` in class `AbstractMesh`

### draw

    public void draw(javax.media.opengl.GL gl)

  Description copied from class: `AbstractMesh`
  Call this method to draw the mesh

  Specified by:
    `draw` in class `AbstractMesh`

### specializedDraw

    public void specializedDraw(javax.media.opengl.GL gl)

  Helper method to extract the specialised things just fitting to drawing of vertex arrays. This method is also used by shadow drawing.

  Specified by:
    `specializedDraw` in class `AbstractMesh`
  Parameters:
    `gl` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD